Name: mtools
Version: 3.9.10
Release: alt1

Summary: Programs for accessing MS-DOS disks without mounting the disks.
Copyright: GPL
Group: File tools
Url: http://mtools.linux.lu

%def_without floppyd

%define inetd_dir     %_sysconfdir/xinetd.d
%define inetd_floppyd %inetd_dir/floppyd

Source: %url/%name-%version.tar.bz2 
Source1: floppyd.xinetd

Patch0: %name-3.9.6-config.patch
Patch1: %name-3.9.7-bsd.patch
Patch2: %name-3.9.6-atari.patch
Patch3: %name-3.9.7-texinfo.patch
Patch4: %name-3.9.8-alt-no-x.patch

Patch99: %name-3.9.10-20050317.diff.gz

Requires(post): %install_info
Requires(preun): %uninstall_info

BuildPreReq: kernel-headers-std
%if_with floppyd
BuildPreReq: XFree86-devel
%endif

Summary(ru_RU.KOI8-R):      MS-DOS

%package floppyd
Group: File tools
Requires: xinetd
Summary: Daemon for remote access to floppy drive
Summary(ru_RU.KOI8-R):         X-

%description
Mtools is a collection of utilities for accessing MS-DOS files.
Mtools allow you to read, write and move around MS-DOS filesystem
files (normally on MS-DOS floppy disks).  Mtools supports Windows95
style long file names, OS/2 Xdf disks, and 2m disks.

Mtools should be installed if you need to use MS-DOS disks without
mounting them.

%description -l ru_RU.KOI8-R
Mtools        MS-DOS:
, /,  ,
     ..

Mtools    ,     ,
     mount   Mtools  .
 ,   FAT      
( ţ   -  ).

Mtools      Windows95, Xdf- OS/2,
    ,     2m.

%description floppyd
Floppyd is used as a server to grant access to the floppy drive to clients
running on a remote machine, just as an X server grants access to the display
to remote clients. floppyd is always associated with an X server.
It runs on the same machine as its X server, and listens on port 5703 and above.

%description floppyd -l ru_RU.KOI8-R
Floppyd  ,      ,
     ,  X-  
  . Floppyd    X-, 
   ,     .

%prep
%setup -q
%patch99 -p1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%if_without floppyd
%patch4 -p1
%endif

find -type f -print0 |
	xargs -r0 %__grep -FZl -- /usr/local/etc |
	xargs -r0 %__subst -p -- 's,/usr/local/etc,%_sysconfdir,g'

%build
autoconf
%configure
%make_build all info

%install
%__mkdir_p $RPM_BUILD_ROOT{%prefix,%_sysconfdir}
%makeinstall install-info
%__install -p -m644 %name.conf $RPM_BUILD_ROOT%_sysconfdir

%if_with floppyd
%__mkdir_p %buildroot%_sbindir
%__mv %buildroot%_bindir/floppyd* %buildroot%_sbindir
%__install -pD %SOURCE1 %buildroot%inetd_floppyd
%else
find %buildroot -name floppyd\* -print0 | xargs -r0 %__rm -fv --
%endif

%post
%install_info %name.info

%preun
%uninstall_info %name.info

%files
%config(noreplace) %_sysconfdir/%name.conf
%_bindir/*
%_mandir/man?/*
%_infodir/*.info*
%doc Changelog README cmdname mkdosboot *.tex

%if_with floppyd

%exclude %_man1dir/floppyd*

%files floppyd
%inetd_floppyd
%_sbindir/floppyd*
%_man1dir/floppyd*

%endif

%changelog
* Mon Apr  4 2005 Ilya Evseev <evseev@altlinux.ru> 3.9.10-alt1
- Updated to 3.9.10-20050317
- Floppy daemon is back, packaged optionally via 'rpmbuild --with floppyd'
- Specfile:
   + added russian summary/description
   + changed docfiles list

* Thu Sep 11 2003 Dmitry V. Levin <ldv@altlinux.org> 3.9.9-alt2
- Updated build dependencies.

* Tue Mar 04 2003 Dmitry V. Levin <ldv@altlinux.org> 3.9.9-alt1
- Updated to 3.9.9

* Thu Oct 24 2002 Stanislav Ievlev <inger@altlinux.ru> 3.9.8-alt3
- rebuild with gcc3

* Fri Mar 15 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.9.8-alt2
- Fixed build.

* Tue May 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.9.8-alt1
- 3.9.8

* Thu Dec 14 2000 Dmitry V. Levin <ldv@fandra.org> 3.9.7-ipl2mdk
- Fixed texinfo documentation.
- Fixed wrong references to /usr/local.

* Tue Jul 04 2000 Dmitry V. Levin <ldv@fandra.org> 3.9.7-ipl1mdk
- RE and Fandra adaptions.

* Mon Jun 19 2000 DindinX <odin@mandrakesoft.com> 3.9.7-1mdk
- 3.9.7
- use of %configure and %makeinstall
- updated patches

* Fri Mar 24 2000 DindinX <odin@mandrakesoft.com> 3.9.6-5mdk
- Group and spec fixes

* Fri Jan 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.9.6-4mdk
- added a defattr

* Fri Nov 12 1999 Damien Krotkine <damien@mandrakesoft.com>
- Mandrake release

* Sat Aug 07 1999 Bernhard Rosenkrnzer <bero@linux-mandrake.com>
- 19990729 bugfix
- add patch to allow reading Atari ST disks (am I the only person
  trying to use STonX occasionally???)

* Thu Jul  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.9.6
- Prefixing the .spec.

* Sat May 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the 1.44m in mtools.conf (reported by Jacques).

* Wed May 05 1999 Bernhard Rosenkrnzer <bero@linux-mandrake.com>
- Mandrake adaptions
- 3.9.5

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- patch to make the texi sources compile
- fix the spec file group and description
- fixed floppy drive sizes

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- fixed invalid SAMPLE_FILE configuration file

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- Built package for 5.2.
- Updated Source to 3.9.1.
- Cleaned up spec file.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to 3.8

* Tue Oct 21 1997 Otto Hammersmith
- changed buildroot to /var/tmp, rather than /tmp
- use install-info

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Apr 17 1997 Erik Troan <ewt@redhat.com>
- Changed sysconfdir to be /etc

* Mon Apr 14 1997 Michael Fulbright <msf@redhat.com>
- Updated to 3.6
